=== debian/changelog ===
boxed-cpp (1.4.3-1) unstable; urgency=medium

  * Initial release

 -- April Lu <apr3vau@outlook.com>  Tue, 01 Jul 2025 16:33:24 +0800
