=== debian/control ===
Source: boxed-cpp
Priority: optional
Maintainer: April Lu <apr3vau@outlook.com>
Build-Depends: debhelper-compat (= 13), cmake
Standards-Version: 4.6.0
Section: libs
Homepage: https://github.com/contour-terminal/boxed-cpp
Rules-Requires-Root: no

Package: libboxed-cpp-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Description: Boxing primitive types in C++
 This is a small header-only library for easing primitive type boxing in C++.
 Primary goal of the library is to make it easy to avoid code with easily
 swappable parameters clang-tidy:bugprone-easily-swappable-parameters.
