=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%boxed-cpp-$1.tar.gz%" \
   https://github.com/contour-terminal/boxed-cpp/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
